#ifndef TOOLS_H
#define TOOLS_H

#include <vector>
#include <iostream>

/// In-place 2D vector normalization.
void normalizeVec2D(float& x, float& y);

/// In-place 2D vector rotation.
void rotateVec2D(float& x, float& y, float angleDegrees);

/// Returns a random value within [min, max].
float randomRealUniform(float min, float max);

/// Returns a random real value using a normal (Gaussian) 
/// probability distribution with mean 0 and the given variance.  
/// Variance = standard deviation^2.
float randomGauss(float variance);

#endif
